pamr.geneplot {pamr} | R Documentation

## A function to plot the genes that surive the thresholding from the nearest shrunken centroid classifier

### Description

A function to plot the genes that survive the thresholding, from the nearest shrunken centroid classifier produced by pamr.train

### Usage

    pamr.geneplot(fit, data, threshold)

### Arguments

`fit` | The result of a call to pamr.train
`data` | The input data. In the same format as the input data for pamr.train
`threshold` | The desired threshold value

### Details

`pamr.geneplot` Plots the raw gene expression for genes that survive the specified threshold. Plot is stratified by class. Plot is set up to display only up to about 20 or 25 genes, otherwise it gets too crowded. Hence threshold should be chosen to yield at most about 20 or 25 genes.

### Author(s)

Trevor Hastie, Robert Tibshirani, Balasubramanian Narasimhan, and Gilbert Chu

### References

### Examples

    set.seed(120)
    x <- matrix(rnorm(1000*20),ncol=20)
    y <- sample(c(1:4),size=20,replace=TRUE)
    mydata <- list(x=x,y=y)
    mytrain <-   pamr.train(mydata)
    pamr.geneplot(mytrain, mydata, threshold=1.6)

[Package pamr version 1.32.0 Index]